replicaCount: 1
## authReplicaCount gives the number of authentication server pods to run
authReplicaCount: 1
traceReplicaCount: 0

image:
  repository: 192.168.50.97:5000/rucio/server-ska
  tag: 1.26.2
  pullPolicy: IfNotPresent 

exposeErrorLogs:
  server: True
  authServer: True 
  traceServer: False

config:
  database:
    default: "postgresql://rucio:secret@rucio-postgresql/rucio"
    schema: "test"

useSSL:
  server: false
  authServer: false
  traceServer: false

service:
  type: NodePort
  port: 80
  targetPort: 80
  protocol: TCP
  name: http
  annotations: {}

authService:
  type: NodePort
  port: 80
  targetPort: 80
  protocol: TCP
  name: http
  annotations: {}

ingress:
  enabled: true
  annotations:
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
    # nginx.ingress.kubernetes.io/rewrite-target: /$2
    # kubernetes.io/ingress.class: traefik
    # traefik.ingress.kubernetes.io/frontend-entry-points: http
    # traefik.ingress.kubernetes.io/redirect-entry-point: https
  path: /
  hosts:
    -  srcdev.skatelescope.org
  #    - server-rucio-server
  tls: 
    - secretName: rucio-server.tls-secret

authIngress:
  enabled: true
  annotations:
    nginx.ingress.kubernetes.io/ssl-redirect: "false"
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    # kubernetes.io/ingress.class: traefik
    # traefik.ingress.kubernetes.io/frontend-entry-points: http
    # traefik.ingress.kubernetes.io/redirect-entry-point: https
  path: /auth(/|$)(.*)
  hosts: 
    - srcdev.skatelescope.org
  #    - server-rucio-server-auth 
  tls: 
    - secretName: rucio-server.tls-secret
